Subject: Re: bug#18838: zsh test suite failures

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 09 Oct 2020 10:57:48 -0400

Hello,

Vincent Legoll <[email-masked]> writes:

> Is this still happening?
>
> I searched a bit on ci.guix.gnu.org...
>
> We have a failure on 5.8 armhf (already present on 5.7.1 version)
> but it looks like it is a different set of tests that is failing...

I can't find failures in the raw logs of the last CI failures for
zsh-5.8, but testing on master with:

./pre-inst-env guix build --check --system=armhf-linux zsh

I got 2 test failures:

Test ./A01grammar.ztst failed: bad status 1, expected 0 from:
  - $ZTST_testdir/../Src/zsh -fc "[[ \$0 = \"-$ZTST_testdir/../Src/zsh\" ]]"
Was testing: `-' precommand modifier
./A01grammar.ztst: test failed.
./A02alias.ztst: starting.
This test hangs the shell when it fails...
./A02alias.ztst: all tests successful.
./A03quoting.ztst: starting.
./A03quoting.ztst: all tests successful.
./A04redirect.ztst: starting.
./A04redirect.ztst: all tests successful.
./A05execution.ztst: starting.
Unable to change MONITOR option
This test takes 5 seconds to fail...
Skipping pipe leak test, requires MONITOR option
This test takes 3 seconds and hangs the shell when it fails...
./A05execution.ztst: all tests successful.
./A06assign.ztst: starting.
./A06assign.ztst: all tests successful.
./A07control.ztst: starting.
./A07control.ztst: all tests successful.
./B01cd.ztst: starting.
Test ./B01cd.ztst failed: bad status 0, expected 1 from:
 (unset HOME; ARGV0=sh $ZTST_testdir/../Src/zsh -c cd)
Was testing: Implicit cd with unset HOME.

Maxim